/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "design.h"

FD_main *create_form_main(void)
{
  FL_OBJECT *obj;
  FD_main *fdui = (FD_main *) fl_calloc(1, sizeof(*fdui));

  fdui->main = fl_bgn_form(FL_NO_BOX, 564, 562);
  fdui->background = obj = fl_add_box(FL_FLAT_BOX,0,0,564,562,"");
  fdui->slider = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,9,39,26,516,"");
    fl_set_object_gravity(obj, FL_NoGravity, FL_South);
    fl_set_object_callback(obj,slider,0);
     fl_set_slider_return(obj, FL_RETURN_END_CHANGED);
  fdui->canvas = obj = fl_add_canvas(FL_NORMAL_CANVAS,44,42,512,512,"canvas");
    fl_set_object_gravity(obj, FL_NoGravity, FL_SouthEast);
  obj = fl_add_frame(FL_UP_FRAME,2,2,560,27,"");
    fl_set_object_gravity(obj, FL_NorthWest, FL_East);
  fdui->file = obj = fl_add_menu(FL_PULLDOWN_MENU,16,2,44,27,"File");
    fl_set_object_shortcut(obj,"Ff#F#f",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_North, FL_NoGravity);
    fl_set_object_callback(obj,menu_file,0);
  fdui->scope = obj = fl_add_menu(FL_PULLDOWN_MENU,64,2,56,27,"Scope");
    fl_set_object_shortcut(obj,"Ss#S#s",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_North, FL_NoGravity);
    fl_set_object_callback(obj,menu_scope,0);
  fdui->shell = obj = fl_add_menu(FL_PULLDOWN_MENU,126,2,54,27,"Shell");
    fl_set_object_shortcut(obj,"Ss#S#s",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_North, FL_NoGravity);
    fl_set_object_callback(obj,menu_shell,0);
  fdui->transfer = obj = fl_add_menu(FL_PULLDOWN_MENU,188,2,72,27,"Transfer");
    fl_set_object_shortcut(obj,"Tt#T#t",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_North, FL_NoGravity);
    fl_set_object_callback(obj,menu_transfer,0);
  fdui->help = obj = fl_add_menu(FL_PULLDOWN_MENU,500,2,48,27,"Help");
    fl_set_object_shortcut(obj,"Hh#H#h",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_North, FL_NoGravity);
    fl_set_object_callback(obj,menu_help,0);
  fl_end_form();

  fdui->main->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_option *create_form_option(void)
{
  FL_OBJECT *obj;
  FD_option *fdui = (FD_option *) fl_calloc(1, sizeof(*fdui));

  fdui->option = fl_bgn_form(FL_NO_BOX, 340, 170);
  obj = fl_add_box(FL_UP_BOX,0,0,340,170,"");
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,20,170,80,"Display");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_round3dbutton(FL_PUSH_BUTTON,30,30,160,30,"Interpolated Zooming");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_round3dbutton(FL_PUSH_BUTTON,30,60,140,30,"Writable Colormap");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_dial(FL_FILL_DIAL,220,20,80,70,"JPEG Export Quality");
    fl_set_object_color(obj,FL_COL1,FL_INDIANRED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_input(FL_NORMAL_INPUT,110,120,210,30,"Print command");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_end_form();

  fdui->option->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_profile *create_form_profile(void)
{
  FL_OBJECT *obj;
  FD_profile *fdui = (FD_profile *) fl_calloc(1, sizeof(*fdui));

  fdui->profile = fl_bgn_form(FL_NO_BOX, 520, 360);
  fdui->Profile = obj = fl_add_box(FL_UP_BOX,0,0,520,360,"");
  obj = fl_add_xyplot(FL_NORMAL_XYPLOT,0,0,520,360,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lcolor(obj,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_end_form();

  fdui->profile->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_about *create_form_about(void)
{
  FL_OBJECT *obj;
  FD_about *fdui = (FD_about *) fl_calloc(1, sizeof(*fdui));

  fdui->about = fl_bgn_form(FL_NO_BOX, 224, 184);
  obj = fl_add_box(FL_UP_BOX,0,0,224,184,"");
  obj = fl_add_text(FL_NORMAL_TEXT,48,16,136,24,"Xrad version 0.01");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,16,48,200,24,"Copyright 1997 by Tony Voet");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_clock(FL_ANALOG_CLOCK,80,80,80,80,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
  fl_end_form();

  fdui->about->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_wc *create_form_wc(void)
{
  FL_OBJECT *obj;
  FD_wc *fdui = (FD_wc *) fl_calloc(1, sizeof(*fdui));

  fdui->wc = fl_bgn_form(FL_NO_BOX, 60, 30);
  fdui->label = obj = fl_add_box(FL_UP_BOX,0,0,60,30,"W 00000\nC 00000");
  fl_end_form();

  fdui->wc->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

