#ifndef FD_main_h_
#define FD_main_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void slider(FL_OBJECT *, long);
extern void menu_file(FL_OBJECT *, long);
extern void menu_scope(FL_OBJECT *, long);
extern void menu_shell(FL_OBJECT *, long);
extern void menu_transfer(FL_OBJECT *, long);
extern void menu_help(FL_OBJECT *, long);






/**** Forms and Objects ****/

typedef struct {
	FL_FORM *main;
	void *vdata;
	long ldata;
	FL_OBJECT *background;
	FL_OBJECT *slider;
	FL_OBJECT *canvas;
	FL_OBJECT *file;
	FL_OBJECT *scope;
	FL_OBJECT *shell;
	FL_OBJECT *transfer;
	FL_OBJECT *help;
} FD_main;

extern FD_main * create_form_main(void);
typedef struct {
	FL_FORM *option;
	void *vdata;
	long ldata;
} FD_option;

extern FD_option * create_form_option(void);
typedef struct {
	FL_FORM *profile;
	void *vdata;
	long ldata;
	FL_OBJECT *Profile;
} FD_profile;

extern FD_profile * create_form_profile(void);
typedef struct {
	FL_FORM *about;
	void *vdata;
	long ldata;
} FD_about;

extern FD_about * create_form_about(void);
typedef struct {
	FL_FORM *wc;
	void *vdata;
	long ldata;
	FL_OBJECT *label;
} FD_wc;

extern FD_wc * create_form_wc(void);

#endif /* FD_main_h_ */
